import {Component, Element, Host, h, Prop} from '@stencil/core';

@Component({
  tag: 'hy-prominent-image',
  styleUrl: 'hy-prominent-image.scss',
  shadow: true,
})
export class HyProminentImage {
  @Prop() textTitle?: string;
  @Prop() imageUrl?: string;
  @Prop() headerstyle: string = 'common';
  @Element() el: HTMLElement;

  componentDidLoad() {
    let hyMainDiv = this.el.closest('.hy-main');
    if (hyMainDiv) {
      if (!hyMainDiv.classList.contains('with-sidebar')) {
        this.headerstyle = 'large';
      }
    }
  }

  render() {
    const prominentImageClass = [
      'hy-prominent-image',
      this.headerstyle,
      `hy-prominent-image__${this.headerstyle}`,
    ].join(' ');

    const prominentImageText = ['hy-prominent-image__text', `hy-prominent-image__text__${this.headerstyle}`].join(' ');

    return (
      <Host>
        <div class={prominentImageClass}>
          <div class="hy-prominent-image__image">
            <hy-image image-url={this.imageUrl} aspectRatioWidth={2} aspectRatioHeight={1} />
          </div>
          {this.textTitle && <div class={prominentImageText}>{this.textTitle}</div>}
        </div>
      </Host>
    );
  }
}
