# site-header

<!-- Auto Generated Below -->

## Properties

| Property               | Attribute                 | Description | Type                                                                                               | Default            |
| ---------------------- | ------------------------- | ----------- | -------------------------------------------------------------------------------------------------- | ------------------ |
| `dataDesktopLinks`     | `data-desktop-links`      |             | `DesktopLinks[] \| string`                                                                         | `undefined`        |
| `dataMainMenuLinks`    | `data-main-menu-links`    |             | `DesktopLinks[] \| string`                                                                         | `undefined`        |
| `dataMenuDonate`       | `data-menu-donate`        |             | `string`                                                                                           | `undefined`        |
| `dataMenuLanguage`     | `data-menu-language`      |             | `string`                                                                                           | `undefined`        |
| `dataSearchTools`      | `data-search-tools`       |             | `DesktopLinks[] \| string`                                                                         | `undefined`        |
| `dataSiteHeaderLabels` | `data-site-header-labels` |             | `string`                                                                                           | `undefined`        |
| `dataSiteSearchLabels` | `data-site-search-labels` |             | `string`                                                                                           | `undefined`        |
| `isGroup`              | `is-group`                |             | `boolean`                                                                                          | `false`            |
| `logoLabel`            | `logo-label`              |             | `string`                                                                                           | `undefined`        |
| `logoUrl`              | `logo-url`                |             | `string`                                                                                           | `undefined`        |
| `menuLabel`            | `menu-label`              |             | `string`                                                                                           | `'Menu'`           |
| `menuLabelClose`       | `menu-label-close`        |             | `string`                                                                                           | `undefined`        |
| `menuLabelOpen`        | `menu-label-open`         |             | `string`                                                                                           | `undefined`        |
| `menuType`             | `menu-type`               |             | `MenuType.desktop \| MenuType.mobile \| MenuType.sidenav \| MenuType.sidepanel \| MenuType.tablet` | `MenuType.default` |
| `siteLabel`            | `site-label`              |             | `string`                                                                                           | `undefined`        |
| `siteUrl`              | `site-url`                |             | `string`                                                                                           | `undefined`        |

## Events

| Event                  | Description | Type               |
| ---------------------- | ----------- | ------------------ |
| `headerScrollDown`     |             | `CustomEvent<any>` |
| `headerScrollUp`       |             | `CustomEvent<any>` |
| `menuMobileToggled`    |             | `CustomEvent<any>` |
| `menuMobileTopToggled` |             | `CustomEvent<any>` |

## Dependencies

### Depends on

- [hy-site-logo](site-logo)
- [hy-menu-main-group](../navigation/hy-menu-main-group)
- [hy-menu-language](../navigation/menu-language)
- [hy-site-search](site-search)
- [hy-icon](../icon)
- [hy-desktop-menu-links](hy-desktop-menu-links)

### Graph

```mermaid
graph TD;
  hy-site-header --> hy-site-logo
  hy-site-header --> hy-menu-main-group
  hy-site-header --> hy-menu-language
  hy-site-header --> hy-site-search
  hy-site-header --> hy-icon
  hy-site-header --> hy-desktop-menu-links
  hy-site-logo --> hy-icon
  hy-menu-main-group --> hy-icon
  hy-menu-main-group --> hy-site-logo
  hy-menu-language --> hy-menu-language-item
  hy-menu-language --> hy-icon
  hy-site-search --> hy-icon
  hy-site-search --> hy-search-field
  hy-site-search --> hy-paragraph-text
  hy-search-field --> hy-icon
  hy-paragraph-text --> hy-box
  hy-desktop-menu-links --> hy-icon
  style hy-site-header fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
